Package: org.grails.validation.routines

## [Java] Class ResultPair

- org.grails.validation.routines.ResultPair

- Groups tests and expected results.

  deprecated:
    Replaced by newer version of commons-validation

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `item` |
    `boolean` | `valid` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResultPair (java.lang.String item, boolean valid)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public java.lang.String item

    - #### public boolean valid

  - ### Constructor Detail

    - #### public ResultPair(java.lang.String item, boolean valid)